## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJPackage

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode<org.eclipse.jdt.core.dom.PackageDeclaration>
              org.eclipse.emf.codegen.merge.java.facade.ast.ASTJPackage

All Implemented Interfaces:
  JNode, JPackage

    public class ASTJPackage

extends ASTJNode<org.eclipse.jdt.core.dom.PackageDeclaration>
implements JPackage

Wraps `PackageDeclaration` object.

Since:
  2.2.0

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode
`isCommentedOut, name, rewriter, UNITIALIZED_STRING`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`ASTJPackage(org.eclipse.jdt.core.dom.PackageDeclaration packageDeclaration)`

Method Summary
`protected java.lang.String` `fixPackageContent(java.lang.String content)` Fixes package contents to not include the header or the javadoc.
`java.lang.String` `getContents()` Returns original contents of the package declaration without the javadoc of the package.
`java.lang.String` `getName()` Returns the name of this node.
`void` `setName(java.lang.String name)` Sets the name of this node.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode

`addChild, addValueToListProperty, addValueToListProperty, ancestorInserted, ancestorToBeRemoved, childToBeChanged, combineArrayAndList, commentOut, convertASTNodeListToStringArray, disableTrackAndReplace, dispose, enableTrackAndReplace, getASTNode, getFacadeHelper, getParent, getRemovedASTNode, getRewriter, getWrappedObject, insert, insertFirst, insertLast, insertSibling, isDisposed, nodeToBeMoved, nodeToBeRemoved, remove, remove, removeNodeFromListProperty, removeTrackAndReplace, setASTNode, setFacadeHelper, setFlags, setListNodeProperty, setNodeProperty, setNodeProperty, setParent, setRemovedASTNode, setRewriter, setTrackedNodeProperty, setWrappedObject, trackAndReplace`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getChildren, getFlags, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getFlags, getParent, getQualifiedName, setFlags`

Constructor Detail

### ASTJPackage

    public ASTJPackage(org.eclipse.jdt.core.dom.PackageDeclaration packageDeclaration)

Parameters:
  `packageDeclaration` -

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JNode`
  Returns the name of this node.

  Specified by:
    `getName` in interface `JNode`
  Returns:
    the name, or `null` if it has no name

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `JNode`
  Sets the name of this node. If the name is used to match the nodes to be merged, it is highly recommended not to use this method.

  Specified by:
    `setName` in interface `JNode`
  See Also:
    `JNode.getQualifiedName()`

### getContents

    public java.lang.String getContents()

  Returns original contents of the package declaration without the javadoc of the package.

  Specified by:
    `getContents` in interface `JNode`
  Overrides:
    `getContents` in class `ASTJNode<org.eclipse.jdt.core.dom.PackageDeclaration>`
  Returns:
    the contents, or `null` if this node has no contents
  See Also:
    `ASTJNode.getContents()`

### fixPackageContent

    protected java.lang.String fixPackageContent(java.lang.String content)

  Fixes package contents to not include the header or the javadoc.

  Parameters:
    `content` -
  Returns:
    String
  See Also:
    `PackageDeclaration`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.